Subject: Re: bug#28850: 26.0.90; Error running timer 'jit-lock-stealth-fontify': (error "Invalid search bound (wrong side of point)")

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Apr 2019 18:35:15 +0300

> From: "Basil L. Contovounesios" <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  <[email-masked]>
> Date: Tue, 30 Apr 2019 14:44:27 +0100
> 
> > I'm just thinking, maybe this fix should have gone into the emacs-26
> > branch.  Not sure about that.
> 
> The patch looks unproblematic enough to me, but that is, of course,
> Eli's call.

Btw, I'm not sure I understand the need for calling (point) in that
patch.  Both functions return the value of point, and they both return
LIMIT if the fail to find a match, so just testing the return value
against LIMIT should be enough, no?